## org.jgroups
Interface ExtendedReceiver

All Superinterfaces:
  ExtendedMembershipListener, ExtendedMessageListener, MembershipListener, MessageListener, Receiver

All Known Implementing Classes:
  Draw, ExtendedReceiverAdapter, ReplicatedHashMap

    public interface ExtendedReceiver

extends Receiver, ExtendedMessageListener, ExtendedMembershipListener

Extends Receiver, plus the partial state transfer methods. This interface will disappear (be merged with Receiver) in 3.0.

Author:
  Bela Ban

Method Summary

Methods inherited from interface org.jgroups.ExtendedMessageListener
`getState, getState, getState, setState, setState, setState`

Methods inherited from interface org.jgroups.MessageListener
`getState, receive, setState`

Methods inherited from interface org.jgroups.ExtendedMembershipListener
`unblock`

Methods inherited from interface org.jgroups.MembershipListener
`block, suspect, viewAccepted`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.